Bug 1575274 - blivet.errors.FSError: mount failed: 32
Summary: blivet.errors.FSError: mount failed: 32
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 28
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:24e6989362aa71f9489688d6ce1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 15:13 UTC by F.Prates
Modified: 2019-05-28 20:07 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:07:29 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (6.18 MB, text/plain)
2018-05-05 15:13 UTC, F.Prates
no flags Details
File: anaconda.log (73.06 KB, text/plain)
2018-05-05 15:13 UTC, F.Prates
no flags Details
File: dbus.log (6.20 KB, text/plain)
2018-05-05 15:13 UTC, F.Prates
no flags Details
File: environ (733 bytes, text/plain)
2018-05-05 15:13 UTC, F.Prates
no flags Details
File: journalctl (963.38 KB, text/plain)
2018-05-05 15:13 UTC, F.Prates
no flags Details
File: lsblk_output (3.82 KB, text/plain)
2018-05-05 15:13 UTC, F.Prates
no flags Details
File: lvm.log (3.89 MB, text/plain)
2018-05-05 15:14 UTC, F.Prates
no flags Details
File: nmcli_dev_list (1.65 KB, text/plain)
2018-05-05 15:14 UTC, F.Prates
no flags Details
File: os_info (623 bytes, text/plain)
2018-05-05 15:14 UTC, F.Prates
no flags Details
File: program.log (261.32 KB, text/plain)
2018-05-05 15:14 UTC, F.Prates
no flags Details
File: storage.log (926.01 KB, text/plain)
2018-05-05 15:14 UTC, F.Prates
no flags Details
File: ifcfg.log (3.98 KB, text/plain)
2018-05-05 15:14 UTC, F.Prates
no flags Details

Description F.Prates 2018-05-05 15:13:18 UTC
Description of problem:
Error took place when creating /boot partition, after installation setup has been completed.

Version-Release number of selected component:
anaconda-core-28.22.10-1.fc28.i686

The following was filed automatically by anaconda:
anaconda 28.22.10 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/tasks/fsmount.py", line 125, in do_task
    raise FSError("mount failed: %s" % rc)
  File "/usr/lib/python3.6/site-packages/blivet/formats/fs.py", line 558, in _setup
    self._mount.do_task(chrooted_mountpoint, options=options)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/formats/__init__.py", line 606, in setup
    self._setup(**kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 743, in mount_filesystems
    chroot=root_path)
  File "/usr/lib/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 1985, in mount_filesystems
    read_only=read_only, skip_root=skip_root)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pyanaconda/storage/osinstall.py", line 2140, in turn_on_filesystems
    storage.mount_filesystems()
  File "/usr/lib/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib/python3.6/site-packages/pyanaconda/installation.py", line 361, in doInstall
    installation_queue.start()
  File "/usr/lib/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
blivet.errors.FSError: mount failed: 32

Additional info:
addons:         com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-28-1-1 rd.live.image quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.i686
other involved packages: python3-libs-3.6.5-1.fc28.i686, python3-blivet-3.0.0-0.6.1.b1.fc28.noarch
product:        Fedora
release:        Fedora release 28 (Twenty Eight)
type:           anaconda
version:        28

Comment 1 F.Prates 2018-05-05 15:13:38 UTC
Created attachment 1431953 [details]
File: anaconda-tb

Comment 2 F.Prates 2018-05-05 15:13:42 UTC
Created attachment 1431954 [details]
File: anaconda.log

Comment 3 F.Prates 2018-05-05 15:13:44 UTC
Created attachment 1431955 [details]
File: dbus.log

Comment 4 F.Prates 2018-05-05 15:13:45 UTC
Created attachment 1431956 [details]
File: environ

Comment 5 F.Prates 2018-05-05 15:13:49 UTC
Created attachment 1431957 [details]
File: journalctl

Comment 6 F.Prates 2018-05-05 15:13:51 UTC
Created attachment 1431958 [details]
File: lsblk_output

Comment 7 F.Prates 2018-05-05 15:14:01 UTC
Created attachment 1431959 [details]
File: lvm.log

Comment 8 F.Prates 2018-05-05 15:14:03 UTC
Created attachment 1431960 [details]
File: nmcli_dev_list

Comment 9 F.Prates 2018-05-05 15:14:04 UTC
Created attachment 1431961 [details]
File: os_info

Comment 10 F.Prates 2018-05-05 15:14:06 UTC
Created attachment 1431962 [details]
File: program.log

Comment 11 F.Prates 2018-05-05 15:14:11 UTC
Created attachment 1431963 [details]
File: storage.log

Comment 12 F.Prates 2018-05-05 15:14:12 UTC
Created attachment 1431964 [details]
File: ifcfg.log

Comment 13 Jiri Konecny 2018-05-07 09:00:15 UTC
Based on the traceback this looks like a storage library issue.
Changing component.

Comment 14 Ben Cotton 2019-05-02 21:50:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 20:07:29 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.